# Interface methods for submodule: MetaDataObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MetaDataObjectBaseProxy as _MetaDataObjectBaseProxy


# Interface methods for class: MetaDataObject
class MetaDataObjectProxy(_MetaDataObjectBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMetaDataObjectTypeName(self):
		""""""
		...

	def GetMetaDataObjectTypeInfo(self):
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self) -> bool:
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self) -> float:
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self) -> str:
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self) -> int:
		""""""
		...

	@overload
	def GetMetaDataObjectValue(self):
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue: bool) -> None:
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue: float) -> None:
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue: str) -> None:
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue: int) -> None:
		""""""
		...

	@overload
	def SetMetaDataObjectValue(self, newValue) -> None:
		""""""
		...

	def Print(self, os) -> None:
		""""""
		...

